<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        UNREPORTED
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Finance</li>
        <li class="active"> Cash Disbursement</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Folders</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li><a th:href="@{/keuangan/pencairan}"><i class="fa fa-inbox"></i>  Request
                            <span th:if="${jumlahRequest} > 0" class="label label-warning pull-right" th:text="${jumlahRequest}">12</span></a></li>

                        <li><a th:href="@{/keuangan/pencairan/open}"><i class="fa fa-inbox"></i> Open
                            <span th:if="${jumlahOpenCair} > 0" class="label label-success pull-right" th:text="${jumlahOpenCair}">12</span></a></li>

                        <li class="active"><a th:href="@{/keuangan/pencairan/waitingreport}"><i class="fa fa-inbox"></i> Waiting For Reports
                            <span th:if="${jumlahClosedPencairan} > 0" class="label label-danger pull-right" th:text="${jumlahClosedPencairan}">12</span></a></li>

                        <li><a th:href="@{/keuangan/pencairan/report}"><i class="fa fa-inbox"></i> Approval Reporting
                            <span th:if="${jumlahLaporan} > 0" class="label label-warning pull-right" th:text="${jumlahLaporan}">12</span></a></li>

                        <li><a th:href="@{/keuangan/pencairan/reportrejected}"><i class="fa fa-inbox"></i> Reported Rejected
                            <span th:if="${jumlahLaporanRejected} > 0" class="label label-danger pull-right" th:text="${jumlahLaporanRejected}">12</span></a></li>

                        <li><a th:href="@{/keuangan/pencairan/closed}"><i class="fa fa-inbox"></i> Closed</a></li>

                        <li><a th:href="@{/keuangan/pencairan/rejected}"><i class="fa fa-inbox"></i> Rejected </a></li>

                        <li><a th:href="@{/keuangan/pencairan/approval_refund}"><i class="fa fa-inbox"></i> Approval Refund
                            <span th:if="${jumlahApprovalRefund} != null" class="label label-success pull-right" th:text="${jumlahApprovalRefund}">12</span></a></li>

                        <li><a th:href="@{/keuangan/pencairan/refund_closed}"><i class="fa fa-inbox"></i> Refund Closed</a></li>


                        <li><a th:href="@{/keuangan/pencairan/all}"><i class="fa fa-inbox"></i> All </a></li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>

        </div>
        <!-- /.col -->
        <div class="col-md-9">
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#waiting" data-toggle="tab">Waiting For Reporting</a></li>
                </ul>
                <div class="tab-content">

                    <div class="active tab-pane" id="waiting">

                        <div class="box-body no-padding">
                            <div class="row" th:each="dataPencairanDana,row : ${listPencairanDanaClosed}">
                                <div class="col-md-12">
                                    <div class="box box-warning box-solid">
                                        <div class="box-header with-border">
                                            <div class="col-md-6">
                                                <span class="info-box-text" th:text="${dataPencairanDana.userMintaPencairan.NamaKaryawan+' - '+dataPencairanDana.pengajuanDana.departemen.namaDepartemen}">Removable</span>
                                            </div>
                                            <div class="col-md-6" align="right">
                                                <span class="info-box-text" th:text="${#temporals.format(dataPencairanDana.tanggalMintaPencairan,'dd-MMM-yyyy hh:mm:ss a')}"></span>
                                            </div>
                                        </div>
                                        <!-- /.box-header -->
                                        <div class="box-body">
                                            <div class="col-md-2">
                                                <!--<img class="img-thumbnail" th:src="@{/pencairandana/{pencairanDana}/bukti/(pencairanDana = ${dataPencairanDana.id})}" alt="Attachment Image">
-->
                                                    <a th:if="${dataPencairanDana.file} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                        No Attachment
                                                    </a>
                                                    <a th:if="${dataPencairanDana.file} != 'default.jpg'" class="btn btn-primary btn-xs" th:href="@{/pencairandana/{pencairanDana}/bukti/(pencairanDana = ${dataPencairanDana.id})}" target="_blank">
                                                        View Attachment
                                                    </a>

                                            </div>

                                            <div class="col-md-10">
                                                <div class="box box-warning">
                                                    <div class="box-body">

                                                        <table class="table table-bordered">
                                                            <tr>
                                                                <td colspan="2" th:text="${dataPencairanDana.pengajuanDana.anggaran.kodeAnggaran+' - '+dataPencairanDana.pengajuanDana.anggaran.namaAnggaran}">1.</td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="2" th:text="${dataPencairanDana.pengajuanDana.deskripsiBiaya}">1.</td>
                                                            </tr>
                                                            <tr>
                                                                <td th:text="${dataPencairanDana.jenisPencairan+' '+dataPencairanDana.nomorRekening}">1.</td>
                                                                <td><b th:text="${'Total Pengajuan : Rp. ' + #numbers.formatDecimal(dataPencairanDana.pengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}"></b></td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                    <!-- /.box-body -->
                                                </div>
                                                <!-- /.box -->
                                            </div>
                                        </div>

                                        <div class="box-footer">
                                            <div class="btn-group">
                                                <a class="btn btn-success btn-xs" href="#">Already Dishbursement ( Waiting For Reporting )</a>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="box-footer no-padding">
                            <div class="box-footer clearfix">
                                <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                    <li class="disabled"><a href="#" aria-label="Previous"><span
                                            aria-hidden="true">&laquo;</span></a>
                                    </li>
                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <!-- /.tab-pane -->
                </div>
                <!-- /.tab-content -->
            </div>
            <!-- /.nav-tabs-custom -->

        </div>

    </div>






</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>


    <script th:inline="javascript" type="text/javascript">

        function openReservationModal(id) {


            $.ajax({
                url: "/reservations/details/"+id,
                success: function(data) {
                    console.log(data);
                    $("#modalHolder").html(data);
                    $("#reservationModal").modal("show");
                }
            });

        }
    </script>
</section>
</body>
</html>